Package net.shibboleth.idp.consent.context

# Class ConsentManagementContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.consent.context.ConsentManagementContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class ConsentManagementContext extends BaseContext
Context representing signals to consent flows for managing their state.

This context acts as a public interface between other flows and flows that implement consent-related functionality.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`revokeConsent`
Whether to revoke consent previously granted.

## Constructor Summary

Constructors
Constructor
Description
`ConsentManagementContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getRevokeConsent()`
Get whether consent should be revoked.
`ConsentManagementContext`
`setRevokeConsent(boolean flag)`
Set whether consent should be revoked.
`String`
`toString()`

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### revokeConsent

private boolean revokeConsent
Whether to revoke consent previously granted.

## Constructor Details

### ConsentManagementContext

public ConsentManagementContext()
Constructor.

## Method Details

### getRevokeConsent

public boolean getRevokeConsent()
Get whether consent should be revoked.

Returns:
  whether consent should be revoked

### setRevokeConsent

@Nonnull public ConsentManagementContext setRevokeConsent(boolean flag)
Set whether consent should be revoked.

Parameters:
  `flag` - flag to set
Returns:
  this context

### toString

public String toString()

Overrides:
  `toString` in class `Object`